![Flynn](branding/Flynn1.png)

# Project Flogo

Project Flogo is an Open Source Framework for IoT Edge Apps & Integration. 


Highlights include:
* Ultra-light process engine - 20x-50x lighter than Java or NodeRed
* Extensible & reusable by design to build your own apps, frameworks & platforms 
* 100% Open Source 

Project Flogo consists of the following sub-projects available as separate repos:
* [flogo-cli](https://github.com/TIBCOSoftware/flogo-cli): A command line tool to build flogo apps 
* [flogo-lib](https://github.com/TIBCOSoftware/flogo-lib): A library to build Flogo extensions
* [flogo-services](https://github.com/TIBCOSoftware/flogo-services): Backing services required by Flogo 
* [flogo-contrib](https://github.com/TIBCOSoftware/flogo-contrib) : Flogo Extensions available out of the box

## Getting Started

Project Flogo is currently in Developer Preview and primarily addresses the needs of:

- Flogo Extensions developers 
- IoT Solutions Developers

In addition, tooling to address the needs of the zero-code application developer is available via Flogo Web UI. Project Flogo and the tooling continue to evolve quickly, we recommend that you check out the videos and sign up for updates on the project to stay current.

### Extensions & IoT Solution Developer

If you are an Extensions or IoT Solutions developer, read on because it's easy to get started with Project Flogo:
* To install just the Flogo CLI and runtime, go to https://github.com/TIBCOSoftware/flogo-cli & follow instructions in the README
* For extensions developers, visit the docs in this repository to get started with developing your first Flogo activity

### Zero-code Integration Developer

If your background is in or you prefer to develop using zero-coding environments and platforms and would like to begin developing apps with Project Flogo, then read on, because we’ve been working on something special for you.

Flogo Web UI was launched under a beta license and is available via [Docker Hub](https://hub.docker.com/r/flogo/flogo-docker) or [Flogo.io](http://flogo.io). The Docker image contains the Flogo Web UI along with all required components to begin developing, testing and building deployable artifacts that leverage the Project Flogo Open Source Framework technology.

To report any issues with Flogo Web UI, use the Issue tracker on this project.

## Contributing 
Contact flogo-oss@tibco.com to learn about contributing to the project.

## License 
The top level flogo repo, consisting of flow samples & documentation, is licensed licensed under a BSD-style license. Refer to [LICENSE](https://github.com/TIBCOSoftware/flogo/blob/master/LICENSE.txt) for license text.

Flogo source code in [flogo-cli](https://github.com/TIBCOSoftware/flogo-cli), [flogo-lib](https://github.com/TIBCOSoftware/flogo-lib), [flogo-contrib](https://github.com/TIBCOSoftware/flogo-contrib) & [flogo-services](https://github.com/TIBCOSoftware/flogo-services) repos are licensed under a BSD-style license. Refer to [flogo-cli license](https://github.com/TIBCOSoftware/flogo-cli/blob/master/TIBCO%20LICENSE.txt) for license text. 

### Usage Guidelines

We’re excited that you’re using Project Flogo to power your project(s). Please adhere to the [usage guidelines](http://flogo.io/brand-guidelines) when referencing the use of Project Flogo within your project(s) and don't forget to let others know you're using Project Flogo by proudly displaying one of the following badges or the Flynn logo, found in the [branding](branding) folder of this project.

![Powered By Project Flogo](branding/flogo_badge.png)
![Powered By Project Flogo](branding/flogo_badge_white.png)
